# QAbstractScrollArea Class Reference

### [com.trolltech.qt.gui package]

Inherits QFrame.

### Constructor

- void QAbstractScrollArea(QWidget parent)

### Constructor Properties

- prototype: The QAbstractScrollArea prototype object

### Prototype Object Properties

The QAbstractScrollArea prototype object inherits properties from the QFrame prototype object and also has the following properties.

- void addScrollBarWidget(QWidget widget, Alignment alignment)
- QWidget cornerWidget()
- QScrollBar horizontalScrollBar()
- QSize maximumViewportSize()
- QSize minimumSizeHint()
- List scrollBarWidgets(Alignment alignment)
- void setCornerWidget(QWidget widget)
- void setHorizontalScrollBar(QScrollBar scrollbar)
- void setVerticalScrollBar(QScrollBar scrollbar)
- void setViewport(QWidget widget)
- QScrollBar verticalScrollBar()
- QWidget viewport()

### Instance Properties

QAbstractScrollArea objects inherit properties from the QAbstractScrollArea prototype object and also have the following properties.

- verticalScrollBarPolicy
- horizontalScrollBarPolicy